Bug 109197 - Source RPM ignores $RPM_OPT_FLAGS
Source RPM ignores $RPM_OPT_FLAGS
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: pinfo (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-05 11:03 EST by Michael Lee Yohe
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.8-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 11:19:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Lee Yohe 2003-11-05 11:03:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031027 Galeon/1.3.10

Description of problem:
When you attempt to build a package from the source RPM, pinfo
completely neglects RPM_OPT_FLAGS.  A sed mod or appended CFLAGS may
be required to get it to quit overriding the flags.

Version-Release number of selected component (if applicable):
pinfo-0.6.7-2

How reproducible:
Always

Steps to Reproduce:
1. see description
2.
3.
    

Additional info:
Comment 1 Michael Lee Yohe 2003-11-05 11:05:07 EST
Damn.. that was obvious.. 

There is a line that says:

export CFLAGS=-ggdb

which should probably say

export CFLAGS="$RPM_OPT_FLAGS -ggdb"

I have compiled a binary package with no problems.
Comment 2 Mike A. Harris 2004-01-13 11:19:14 EST
Thanks, I've added this to 0.6.8-3 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.